package com.tofly.watermeter.custom.mapper;

import com.tofly.watermeter.custom.dto.DictionaryDto;
import com.tofly.watermeter.custom.dto.VendorCodeDto;
import com.tofly.watermeter.entity.File;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
@Mapper
public interface SynchronousAboutMapper {

    /**
     * 根据pcid查询字典表已有的code和name
     * @param pcId pcId
     * @return List
     */
    boolean deleteDictionaryByPcid(@Param("pcid") Long pcId);

    boolean insertDictionary(@Param("dto") List<DictionaryDto> dto);

    boolean insertDictionaryVendor(@Param("dto") List<VendorCodeDto> dto);

    Long getMaxId(@Param("tableName") String tableName);

    boolean insertFile(@Param("fileList") List<File> fileList);

    String getQybm();

    /**
     * 更新抄表序号
     * @return true
     */
    boolean updateMeterNum();

    /**
     * 查询未同步客户
     * @return string
     */
    List<String> doesNotExistClient();

    List<Map<String,Object>> queryUserByName(@Param("name") List<String> name);

    boolean deleteClientInfo(@Param("code") String code);
}
